Solved error loading plugin

Discussion in 'Plugin Development' started by goodrain, Oct 25, 2023.

Thread Status:
Not open for further replies.
  1. Offline

    goodrain

    There were errors loading the plugin.
    When I write in cmd plugins, it says Server Plugins (0): there is a plugin in the folder.

    message cmd:
    [22:19:41 ERROR]: [DirectoryProviderSource] Error loading plugin: Directory 'plugins\Minecraft-1.20.2.jar' failed to load!
    java.lang.RuntimeException: Directory 'plugins\Minecraft-1.20.2.jar' failed to load!
    at io.papermc.paper.plugin.provider.source.FileProviderSource.registerProviders(FileProviderSource.java:59) ~[paper-1.20.2.jar:git-Paper-245]
    at io.papermc.paper.plugin.provider.source.DirectoryProviderSource.lambda$registerProviders$1(DirectoryProviderSource.java:34) ~[paper-1.20.2.jar:git-Paper-245]
    at java.util.stream.ForEachOps$ForEachOp$OfRef.accept(ForEachOps.java:183) ~[?:?]
    at java.util.stream.ReferencePipeline$2$1.accept(ReferencePipeline.java:179) ~[?:?]
    at java.util.stream.ReferencePipeline$3$1.accept(ReferencePipeline.java:197) ~[?:?]
    at java.util.Iterator.forEachRemaining(Iterator.java:133) ~[?:?]
    at java.util.Spliterators$IteratorSpliterator.forEachRemaining(Spliterators.java:1921) ~[?:?]
    at java.util.stream.AbstractPipeline.copyInto(AbstractPipeline.java:509) ~[?:?]
    at java.util.stream.AbstractPipeline.wrapAndCopyInto(AbstractPipeline.java:499) ~[?:?]
    at java.util.stream.ForEachOps$ForEachOp.evaluateSequential(ForEachOps.java:150) ~[?:?]
    at java.util.stream.ForEachOps$ForEachOp$OfRef.evaluateSequential(ForEachOps.java:173) ~[?:?]
    at java.util.stream.AbstractPipeline.evaluate(AbstractPipeline.java:234) ~[?:?]
    at java.util.stream.ReferencePipeline.forEach(ReferencePipeline.java:596) ~[?:?]
    at io.papermc.paper.plugin.provider.source.DirectoryProviderSource.registerProviders(DirectoryProviderSource.java:32) ~[paper-1.20.2.jar:git-Paper-245]
    at io.papermc.paper.plugin.provider.source.DirectoryProviderSource.registerProviders(DirectoryProviderSource.java:14) ~[paper-1.20.2.jar:git-Paper-245]
    at io.papermc.paper.plugin.util.EntrypointUtil.registerProvidersFromSource(EntrypointUtil.java:14) ~[paper-1.20.2.jar:git-Paper-245]
    at io.papermc.paper.plugin.PluginInitializerManager.load(PluginInitializerManager.java:100) ~[paper-1.20.2.jar:git-Paper-245]
    at net.minecraft.server.Main.main(Main.java:134) ~[paper-1.20.2.jar:git-Paper-245]
    at org.bukkit.craftbukkit.Main.main(Main.java:324) ~[paper-1.20.2.jar:git-Paper-245]
    at io.papermc.paperclip.Paperclip.lambda$main$0(Paperclip.java:42) ~[app:?]
    at java.lang.Thread.run(Thread.java:1623) ~[?:?]
    Caused by: org.spongepowered.configurate.serialize.SerializationException: [name] of type java.lang.String: Restricted name, cannot use '@io.papermc.paper.plugin.provider.configuration.serializer.constraints.PluginConfigConstraints.PluginName()' as a plugin name.
    at io.papermc.paper.plugin.provider.configuration.serializer.constraints.PluginConfigConstraints$PluginName$Factory.lambda$make$0(PluginConfigConstraints.java:36) ~[paper-1.20.2.jar:git-Paper-245]
    at org.spongepowered.configurate.objectmapping.FieldData.validate(FieldData.java:131) ~[configurate-core-4.2.0-SNAPSHOT.jar:?]
    at org.spongepowered.configurate.objectmapping.ObjectMapperImpl.load0(ObjectMapperImpl.java:78) ~[configurate-core-4.2.0-SNAPSHOT.jar:?]
    at org.spongepowered.configurate.objectmapping.ObjectMapperImpl.load(ObjectMapperImpl.java:56) ~[configurate-core-4.2.0-SNAPSHOT.jar:?]
    at org.spongepowered.configurate.objectmapping.ObjectMapperFactoryImpl.deserialize(ObjectMapperFactoryImpl.java:230) ~[configurate-core-4.2.0-SNAPSHOT.jar:?]
    at org.spongepowered.configurate.AbstractConfigurationNode.get0(AbstractConfigurationNode.java:203) ~[configurate-core-4.2.0-SNAPSHOT.jar:?]
    at org.spongepowered.configurate.AbstractConfigurationNode.get(AbstractConfigurationNode.java:161) ~[configurate-core-4.2.0-SNAPSHOT.jar:?]
    at org.spongepowered.configurate.ConfigurationNode.get(ConfigurationNode.java:521) ~[configurate-core-4.2.0-SNAPSHOT.jar:?]
    at org.spongepowered.configurate.ConfigurationNode.require(ConfigurationNode.java:408) ~[configurate-core-4.2.0-SNAPSHOT.jar:?]
    at io.papermc.paper.plugin.provider.configuration.PaperPluginMeta.create(PaperPluginMeta.java:97) ~[paper-1.20.2.jar:git-Paper-245]
    at io.papermc.paper.plugin.provider.type.paper.PaperPluginProviderFactory.create(PaperPluginProviderFactory.java:52) ~[paper-1.20.2.jar:git-Paper-245]
    at io.papermc.paper.plugin.provider.type.paper.PaperPluginProviderFactory.create(PaperPluginProviderFactory.java:23) ~[paper-1.20.2.jar:git-Paper-245]
    at io.papermc.paper.plugin.provider.type.PluginFileType.getConfig(PluginFileType.java:77) ~[paper-1.20.2.jar:git-Paper-245]
    at io.papermc.paper.plugin.provider.type.PluginFileType.register(PluginFileType.java:70) ~[paper-1.20.2.jar:git-Paper-245]
    at io.papermc.paper.plugin.provider.source.FileProviderSource.registerProviders(FileProviderSource.java:57) ~[paper-1.20.2.jar:git-Paper-245]
    ... 20 more
     
  2. Offline

    timtower Administrator Administrator Moderator

    @goodrain Remove the minecraft jar from the plugins folder
     
  3. Offline

    goodrain

    the error is gone, but I need the plugin to work
    Could it be that somehow the name conflicts with the game itself?
     
  4. Offline

    timtower Administrator Administrator Moderator

    Is that a plugin then? Or is it really a minecraft jar?
     
Thread Status:
Not open for further replies.

Share This Page